Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.dm.muws
Interface OperationalStatus

All Superinterfaces:
  Capability, Initialization, InitializationParameters, ManageabilityCapability, Shutdown, WsResourceCapability, org.apache.muse.ws.resource.WsResourceCapabilityProperties

All Known Implementing Classes:
  SimpleOperationalStatus

public interface OperationalStatus
extends ManageabilityCapability

This interface represents the WSDM OperationalStatus capability. It provides accessor methods for the muws2:OperationalStatus property as well as the enumeration of possible values for that property.

Author:
  Dan Jemiolo (danj)

Field Summary
`static java.lang.String` | `AVAILABLE`
`static java.lang.String` | `PARTIALLY_AVAILABLE`
`static QName[]` | `PROPERTIES`
`static java.lang.String` | `UNAVAILABLE`
`static java.lang.String` | `UNKNOWN`

Method Summary
`java.lang.String` | `getOperationalStatus()`
`void` | `setOperationalStatus(java.lang.String status)`

Methods inherited from interface org.apache.muse.ws.resource.WsResourceCapability
`deleteProperty, getProperty, getPropertyNames, getWsResource, insertProperty, updateProperty`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized, initialize`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Field Detail

### PROPERTIES

    public static final QName[] PROPERTIES

### AVAILABLE

    public static final java.lang.String AVAILABLE

See Also:
  Constant Field Values

### PARTIALLY_AVAILABLE

    public static final java.lang.String PARTIALLY_AVAILABLE

See Also:
  Constant Field Values

### UNAVAILABLE

    public static final java.lang.String UNAVAILABLE

See Also:
  Constant Field Values

### UNKNOWN

    public static final java.lang.String UNKNOWN

See Also:
  Constant Field Values

Method Detail

### getOperationalStatus

    public java.lang.String getOperationalStatus()
                                          throws BaseFault

  Throws:
    `BaseFault`

### setOperationalStatus

    public void setOperationalStatus(java.lang.String status)
                              throws BaseFault

  Throws:
    `BaseFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD